Subject: Re: linux-next: build failure after merge of the perf tree

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Thu, 21 Mar 2024 20:18:00 -0300

On Fri, Mar 22, 2024 at 08:41:31AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the perf tree, today's linux-next build (native perf)
> failed like this:
> 
> make[3]: *** No rule to make target '/home/sfr/next/next/tools/include/uapi/linux/stat.h', needed by '/home/sfr/next/perf/libbpf/staticobjs/libbpf.o'.  Stop.
> 
> Caused by commit
> 
>   f122b3d6d179 ("perf beauty: Introduce scrape script for the 'statx' syscall 'mask' argument")
> 
> Are all these new commits today really destined for the current merge
> window?
> 
> I have used the perf tree from next-20240321 for today.

Ok, maybe I opened perf-tools-next for the next merge window too early?

For this merge window I think Namhyung is switching to perf-tools,
right?

>From your reaction I think I made a mistake and should have opened
perf-tools-next for v6.10 stuff only when the v6.9-rc1 gets released...

- Arnaldo